## packer 0.0.6

=== DESCRIPTION ===
Package: packer
Title: An Opinionated Framework for Using 'JavaScript'
Date: 2020-10-11
Version: 0.0.6
Authors@R: 
    person(given = "John",
           family = "Coene",
           role = c("aut", "cre"),
           email = "jcoenep@gmail.com",
           comment = c(ORCID = "0000-0002-6637-4107"))
Description: 
  Enforces good practice and provides convenience functions to make work with 'JavaScript' 
  not just easier but also scalable. It is a robust wrapper to 'NPM' and 'webpack' that 
  enables to compartmentalize 'JavaScript' code, leverage 'NPM' packages, and much more.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1.9000
Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
        rprojroot, rstudioapi
URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
BugReports: https://github.com/JohnCoene/packer/issues
Suggests: testthat, covr, golem
NeedsCompilation: no
Packaged: 2020-10-12 20:19:34 UTC; jp
Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
Maintainer: John Coene <jcoenep@gmail.com>
Repository: CRAN
Date/Publication: 2020-10-20 14:30:02 UTC
