## packer 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: packer
 Title: An Opinionated Framework for Using 'JavaScript'
-Date: 2020-10-11
-Version: 0.0.6
+Date: 2021-07-14
+Version: 0.1.0
 Authors@R: 
     person(given = "John",
            family = "Coene",
@@ -14,16 +14,15 @@
   enables to compartmentalize 'JavaScript' code, leverage 'NPM' packages, and much more.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
-RoxygenNote: 7.1.1.9000
+RoxygenNote: 7.1.1
 Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
         rprojroot, rstudioapi
 URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
 BugReports: https://github.com/JohnCoene/packer/issues
 Suggests: testthat, covr, golem
 NeedsCompilation: no
-Packaged: 2020-10-12 20:19:34 UTC; jp
+Packaged: 2021-07-14 16:53:50 UTC; jp
 Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
 Maintainer: John Coene <jcoenep@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-10-20 14:30:02 UTC
+Date/Publication: 2021-07-14 17:10:02 UTC
