## packer 0.1.1

=== DESCRIPTION ===
Package: packer
Title: An Opinionated Framework for Using 'JavaScript'
Date: 2021-08-14
Version: 0.1.1
Authors@R: 
    person(given = "John",
           family = "Coene",
           role = c("aut", "cre"),
           email = "jcoenep@gmail.com",
           comment = c(ORCID = "0000-0002-6637-4107"))
Description: 
  Enforces good practice and provides convenience functions to make work with 'JavaScript' 
  not just easier but also scalable. It is a robust wrapper to 'NPM', 'yarn', and 'webpack' that 
  enables to compartmentalize 'JavaScript' code, leverage 'NPM' and 'yarn' packages, include
  'TypeScript', 'React', or 'Vue' in web applications, and much more.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
        rprojroot, rstudioapi
URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
BugReports: https://github.com/JohnCoene/packer/issues
Suggests: testthat, covr, golem
NeedsCompilation: no
Packaged: 2021-08-14 11:24:33 UTC; jp
Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
Maintainer: John Coene <jcoenep@gmail.com>
Repository: CRAN
Date/Publication: 2021-08-14 12:40:02 UTC
