## packer 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: packer
 Title: An Opinionated Framework for Using 'JavaScript'
-Date: 2021-08-14
-Version: 0.1.1
+Date: 2022-01-07
+Version: 0.1.2
 Authors@R: 
     person(given = "John",
            family = "Coene",
@@ -15,15 +15,15 @@
   'TypeScript', 'React', or 'Vue' in web applications, and much more.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
         rprojroot, rstudioapi
 URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
 BugReports: https://github.com/JohnCoene/packer/issues
 Suggests: testthat, covr, golem
 NeedsCompilation: no
-Packaged: 2021-08-14 11:24:33 UTC; jp
+Packaged: 2022-01-08 20:22:31 UTC; john
 Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
 Maintainer: John Coene <jcoenep@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-08-14 12:40:02 UTC
+Date/Publication: 2022-01-08 20:32:42 UTC
