## packer 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: packer
 Title: An Opinionated Framework for Using 'JavaScript'
-Date: 2022-01-07
-Version: 0.1.2
+Date: 2022-05-28
+Version: 0.1.3
 Authors@R: 
     person(given = "John",
            family = "Coene",
@@ -15,15 +15,15 @@
   'TypeScript', 'React', or 'Vue' in web applications, and much more.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.2
-Imports: fs, usethis, jsonlite, htmlwidgets, cli, assertthat,
-        rprojroot, rstudioapi
+RoxygenNote: 7.2.0
+Imports: fs, cli, usethis, jsonlite, roxygen2, rprojroot, rstudioapi,
+        assertthat, htmlwidgets
 URL: https://github.com/JohnCoene/packer, https://packer.john-coene.com
 BugReports: https://github.com/JohnCoene/packer/issues
 Suggests: testthat, covr, golem
 NeedsCompilation: no
-Packaged: 2022-01-08 20:22:31 UTC; john
+Packaged: 2022-05-28 09:13:23 UTC; john
 Author: John Coene [aut, cre] (<https://orcid.org/0000-0002-6637-4107>)
 Maintainer: John Coene <jcoenep@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-01-08 20:32:42 UTC
+Date/Publication: 2022-05-28 09:30:02 UTC
