## packer 0.10.1+dfsg

=== debian/changelog ===
packer (0.10.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + added azure-sdk-for-go, azure-go-autorest (vendoring
      both not needed anymore), and azure-go-ntlmssp to build and
      source package deps, removed dep against dgrijalva-jwt-go.
    + corrected typo in package description.
  * deb/copyright: dropped paragraphs for vendored packages.
  * deb/README.source: dropped info on vendored packages.

 -- Daniel Stender <stender@debian.org>  Tue, 10 May 2016 10:53:02 +0200

packer (0.10.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #740753).

 -- Daniel Stender <stender@debian.org>  Tue, 26 Apr 2016 16:08:50 +0200
