=== debian/control ===
Source: packer
Section: devel
Priority: extra
Maintainer: Daniel Stender <stender@debian.org>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go (>= 1.5),
               pandoc,
               golang-github-hpcloud-tail-dev (>= 1.0.0+git20160415.b294095-2),
               golang-github-aws-aws-sdk-go-dev,
               golang-github-digitalocean-godo-dev,
               golang-github-dylanmei-winrmtest-dev,
               golang-github-go-ini-ini-dev,
               golang-github-hashicorp-atlas-go-dev,
               golang-github-hashicorp-go-checkpoint-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-hashicorp-yamux-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-masterzen-winrm-dev,
               golang-github-mitchellh-cli-dev,
               golang-github-mitchellh-go-fs-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mitchellh-go-vnc-dev,
               golang-github-mitchellh-iochan-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-mitchellh-multistep-dev,
               golang-github-mitchellh-panicwrap-dev,
               golang-github-mitchellh-prefixedio-dev,
               golang-github-mitchellh-reflectwalk-dev,
               golang-github-packer-community-winrmcp-dev,
               golang-github-pierrec-lz4-dev,
               golang-github-pierrec-xxhash-dev,
               golang-github-pkg-sftp-dev,
               golang-github-rackspace-gophercloud-dev (>= 1.0.0+git20160416.884.c54bbac~),
               golang-github-ugorji-go-codec-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-dev,
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-gopkg-xmlpath.v2-dev,
               golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
               golang-github-azure-go-autorest-dev (>= 7.0.4~),
               golang-github-azure-go-ntlmssp-dev
Standards-Version: 3.9.8
Homepage: http://www.packer.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/packer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/packer.git
XS-Go-Import-Path: github.com/mitchellh/packer

Package: golang-github-mitchellh-packer-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-go (>= 1.5),
         golang-github-hpcloud-tail-dev (>= 1.0.0+git20160415.b294095-2),
         golang-github-aws-aws-sdk-go-dev,
         golang-github-digitalocean-godo-dev,
         golang-github-dylanmei-winrmtest-dev,
         golang-github-go-ini-ini-dev,
         golang-github-hashicorp-atlas-go-dev,
         golang-github-hashicorp-go-checkpoint-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-hashicorp-go-version-dev,
         golang-github-hashicorp-yamux-dev,
         golang-github-kardianos-osext-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-masterzen-winrm-dev,
         golang-github-mitchellh-cli-dev,
         golang-github-mitchellh-go-fs-dev,
         golang-github-mitchellh-go-homedir-dev,
         golang-github-mitchellh-go-vnc-dev,
         golang-github-mitchellh-iochan-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-mitchellh-multistep-dev,
         golang-github-mitchellh-panicwrap-dev,
         golang-github-mitchellh-prefixedio-dev,
         golang-github-mitchellh-reflectwalk-dev,
         golang-github-packer-community-winrmcp-dev,
         golang-github-pierrec-lz4-dev,
         golang-github-pierrec-xxhash-dev,
         golang-github-pkg-sftp-dev,
         golang-github-rackspace-gophercloud-dev (>= 1.0.0+git20160416.884.c54bbac~),
         golang-github-ugorji-go-codec-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-oauth2-dev,
         golang-google-api-dev (>= 0.0~git20160408~),
         golang-gopkg-xmlpath.v2-dev,
         golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
         golang-github-azure-go-autorest-dev (>= 7.0.4~),
         golang-github-azure-go-ntlmssp-dev
Description: development package (source code) of Packer
 This package contains the source code of Packer which is
 needed by other Google Go packages in the Debian archive to
 build. You don't need to install this if you just want to use
 Packer.

Package: packer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Recommends: docker.io,
            qemu
Suggests: ansible,
          chef
Description: tool for creating machine images for multiple platforms
 Packer is a CLI tool for the automatic creation of identical machine images
 (single deployable units that contain a pre-configured OS and installed
 software) for multiple platforms (public cloud providers, private cloud
 and desktop virtualization solutions) from a single JSON template resp.
 configuration file.
 .
 Packer features builders for the following target platforms which could be
 employed on Debian:
  - Amazon Web Services (EBS-backed Amazon Machine Images for EC2, and other
    types)
  - Microsoft Azure (VHDs in the Azure Resource Manager)
  - DigitalOcean (reuseable snaphots from available source images)
  - Docker
  - Google Compute Engine (images based on existing images)
  - OpenStack (new reuseable images for servers in OpenStack clouds)
  - QEMU (KVM and Xen virtual machine images)
  - Oracle VirtualBox (virtual machine images)
 .
 A number of post-processors are included like for creating Vagrant boxes.
 .
 Several provisioners resp. remote execution systems, namely Ansible, Chef,
 Puppet, Salt, and shell based provisioning (using SSH) are supported to
 configure and install software on the machines automatically after fresh OSs
 have been set up. Provisioning Windows machines via Windows shell and
 PowerShell is included (using WinRM).
 .
 For the documentation of Packer, please see <https://www.packer.io/docs>.
