=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	-dh_auto_test # a small number of tests doesn't work

override_dh_installdocs:
	pandoc -f markdown -t plain -o README README.md
	dh_installdocs -A README
