=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/packer-$1.tar.gz/,\
dversionmangle=s/\+dfsg\d*$//" \
https://github.com/mitchellh/packer/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
