=== debian/changelog ===
packer (0.10.2+dfsg-6) unstable; urgency=medium

  * deb/patches:
    - Backport two more patches to handle ABI change of
      golang-golang-x-crypto-dev (Closes: #861282).

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 26 May 2017 09:08:48 +0900

packer (0.10.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * deb/patches:
    + Add patch to handle ABI change of golang-golang-x-crypto-dev,
      due to CVE security fix. (Closes: #861282)
  * deb/control:
    + Bump up version of golang-golang-x-crypto-dev in Build-Depends
      and Depends.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 15 May 2017 00:51:19 +0900

packer (0.10.2+dfsg-4) unstable; urgency=medium

  * deb/rules: disable a flaky test in packer/rpc/mux_broker_test.go
    (Closes: #858018).

 -- Daniel Stender <stender@debian.org>  Wed, 05 Apr 2017 08:18:59 +0200

packer (0.10.2+dfsg-3) unstable; urgency=medium

  * deb/rules: expand timeout for tests (Closes: #853135).

 -- Daniel Stender <stender@debian.org>  Mon, 30 Jan 2017 09:21:12 +0100

packer (0.10.2+dfsg-2) unstable; urgency=medium

  * get build time tests passing through (Closes: #852072):
    + add export for DH_GOLANG_INSTALL_EXTRA to include test-fixtures.
    + set $HOME for dh_auto_test.
    + remove failsafe for dh_auto_test.

 -- Daniel Stender <stender@debian.org>  Sun, 29 Jan 2017 22:59:31 +0100

packer (0.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + add dep against new golang-golang-x-oauth2-google-dev.
    + add version to golang-golang-x-oauth2-dev (catch missing breaks).
    + correct a typo in package description.
  * deb/watch:
    + fix filenamemangle, add repacksuffix.

 -- Daniel Stender <stender@debian.org>  Tue, 15 Nov 2016 18:14:05 +0100
