=== debian/control ===
--- 
+++ 
@@ -36,8 +36,9 @@
                golang-github-pkg-sftp-dev,
                golang-github-rackspace-gophercloud-dev (>= 1.0.0+git20160416.884.c54bbac~),
                golang-github-ugorji-go-codec-dev,
-               golang-golang-x-crypto-dev,
-               golang-golang-x-oauth2-dev,
+               golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
+               golang-golang-x-oauth2-dev (>= 0.0~git20161103.0.36bc617-2),
+               golang-golang-x-oauth2-google-dev,
                golang-google-api-dev (>= 0.0~git20160408~),
                golang-gopkg-xmlpath.v2-dev,
                golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
@@ -83,8 +84,9 @@
          golang-github-pkg-sftp-dev,
          golang-github-rackspace-gophercloud-dev (>= 1.0.0+git20160416.884.c54bbac~),
          golang-github-ugorji-go-codec-dev,
-         golang-golang-x-crypto-dev,
-         golang-golang-x-oauth2-dev,
+         golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
+         golang-golang-x-oauth2-dev (>= 0.0~git20161103.0.36bc617-2),
+         golang-golang-x-oauth2-google-dev,
          golang-google-api-dev (>= 0.0~git20160408~),
          golang-gopkg-xmlpath.v2-dev,
          golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
@@ -117,7 +119,7 @@
   - Amazon Web Services (EBS-backed Amazon Machine Images for EC2, and other
     types)
   - Microsoft Azure (VHDs in the Azure Resource Manager)
-  - DigitalOcean (reuseable snaphots from available source images)
+  - DigitalOcean (reuseable snapshots from available source images)
   - Docker
   - Google Compute Engine (images based on existing images)
   - OpenStack (new reuseable images for servers in OpenStack clouds)
