=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export DH_GOLANG_INSTALL_EXTRA := common/test-fixtures \
                                  command/test-fixtures \
                                  helper/flag-kv/test-fixtures \
                                  packer/test-fixtures \
                                  template/test-fixtures \
                                  builder/docker/test-fixtures \
                                  builder/files/test-fixtures

%:
	dh $@ --buildsystem=golang --with=golang

# temporarily disable flaky TestMuxBroker (see https://github.com/mitchellh/packer/issues/4750)
override_dh_auto_test:
	HOME=$(CURDIR) dh_auto_test -- -timeout 30m -run '^Test([^M]|M[^u]|Mu[^x]|Mux[^B]|MuxB[^r]|MuxBr[^o]|MuxBro[^k]|MuxBrok[^e]|MuxBroke[^r])'

override_dh_installdocs:
	pandoc -f markdown -t plain -o README README.md
	dh_installdocs -A README
