=== debian/changelog ===
packer (1.0.2+dfsg-1) unstable; urgency=medium

  * Adopt package (Closes: #865337)
  * New upstream version 1.0.2+dfsg
  * Drop golang-github-mitchellh-packer-dev, it's useless and
    no other packages depend on it.
  * d/packer.examples: Add alicloud example
  * d/packer.install:
    + Only install /usr/bin/packer
    + Drop /usr/lib/packer/{example, packer, scripts}
  * d/copyright:
    + Add myself to copyright holder
    + Remove full copy of MPL-2.0
    + builder/azure/pkcs12/pkcs8_test.go is BSD-3-Clause licensed
    + Use https in format url
  * d/compat: Update compat to 10
  * d/control:
    + Add myself to uploader
    + Update standard version to 4.0.1
      * Change priority to optional
    + Change section to utils
    + Update depends to new version
    + Add autopkgtest-pkg-go
  * d/rules:
    + Use find to include all test-fixtures
    + Remove disabled plugins source
  * d/patches:
    + Add 0001-disable-telemetry-report.patch
    + Add 0002-disable-aws-AssumeRoleTokenProvider.patch
    + Add 0003-disable-1and1-profitbrick-triton-builder-plugin.patch
    + Add 0004-fix-build-on-old-azure-sdk.patch
    + Add 0005-Fix-amazon-chroot-builder-test.patch
    + Add 0006-Disable-bgzf-compress.patch
    + Add 0007-Skip-tests-needing-writable-HOME-dir.patch
    + Drop Specify-InsecureIgnoreHostKey-for-HostKeyCallback.patch
    + Drop patches/fix-tails-import-path.patch
    + Drop handle-ABI-change-of-golang-golang-x-crypto-dev.patch
    + Drop update-ssh-client-usage-for-new-crypto-ssh-version.patch

 -- Shengjing Zhu <i@zhsj.me>  Tue, 22 Aug 2017 14:38:37 +0800
