=== debian/control ===
Source: packer
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
               dh-golang,
               pandoc,
               golang-any (>= 1.5),
               golang-github-aws-aws-sdk-go-dev (>= 1.4.22),
               golang-github-aliyun-aliyun-oss-go-sdk-dev,
               golang-github-azure-azure-sdk-for-go-dev (>= 2.1.1~beta~),
               golang-github-azure-go-autorest-dev (>= 7.0.4~),
#               golang-github-biogo-hts-dev,
               golang-github-denverdino-aliyungo-dev,
               golang-github-digitalocean-godo-dev (>= 1.1.0),
               golang-github-google-shlex-dev,
               golang-github-gophercloud-gophercloud-dev,
               golang-github-hashicorp-atlas-go-dev (>= 0.0~git20170619.0.1ea2527~),
               golang-github-hashicorp-go-checkpoint-dev,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-uuid-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-hashicorp-yamux-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-masterzen-winrm-dev (>= 0.0~git20170601.0.1ca0ba6~),
               golang-github-mitchellh-cli-dev,
               golang-github-mitchellh-go-fs-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mitchellh-go-vnc-dev,
               golang-github-mitchellh-iochan-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-mitchellh-multistep-dev,
               golang-github-mitchellh-panicwrap-dev,
               golang-github-mitchellh-prefixedio-dev,
               golang-github-mitchellh-reflectwalk-dev,
               golang-github-packer-community-winrmcp-dev (>= 0.0~git20170607.0.078cc0a~),
               golang-github-pierrec-lz4-dev,
               golang-github-pkg-sftp-dev,
               golang-github-ugorji-go-codec-dev,
               golang-github-xanzy-go-cloudstack-dev,
               golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
               golang-golang-x-oauth2-dev (>= 0.0~git20161103.0.36bc617-2),
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-text-dev,
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-gopkg-xmlpath.v2-dev,
# Test dependency
               golang-github-approvals-go-approval-tests-dev,
               golang-github-stretchr-testify-dev,
               golang-github-dylanmei-winrmtest-dev,
Standards-Version: 4.0.1
Homepage: https://www.packer.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/packer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/packer.git
XS-Go-Import-Path: github.com/hashicorp/packer
Testsuite: autopkgtest-pkg-go

Package: packer
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: docker.io,
            qemu
Suggests: ansible,
          chef
Description: tool for creating machine images for multiple platforms
 Packer is a CLI tool for the automatic creation of identical machine images
 (single deployable units that contain a pre-configured OS and installed
 software) for multiple platforms (public cloud providers, private cloud
 and desktop virtualization solutions) from a single JSON template resp.
 configuration file.
 .
 Packer features builders for the following target platforms which could be
 employed on Debian:
  - Amazon Web Services (EBS-backed Amazon Machine Images for EC2, and other
    types)
  - Microsoft Azure (VHDs in the Azure Resource Manager)
  - DigitalOcean (reuseable snapshots from available source images)
  - Docker
  - Google Compute Engine (images based on existing images)
  - OpenStack (new reuseable images for servers in OpenStack clouds)
  - QEMU (KVM and Xen virtual machine images)
  - Oracle VirtualBox (virtual machine images)
 .
 A number of post-processors are included like for creating Vagrant boxes.
 .
 Several provisioners resp. remote execution systems, namely Ansible, Chef,
 Puppet, Salt, and shell based provisioning (using SSH) are supported to
 configure and install software on the machines automatically after fresh OSs
 have been set up. Provisioning Windows machines via Windows shell and
 PowerShell is included (using WinRM).
 .
 For the documentation of Packer, please see <https://www.packer.io/docs>.
