## packer 1.0.4%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export DH_GOLANG_INSTALL_EXTRA := $(shell find . -name test-fixtures) \
-	                          $(wildcard builder/azure/common/template/*.json) \
-				  $(wildcard builder/azure/arm/*.json)
+	                          $(wildcard builder/azure/common/template/*approved*) \
+				  $(wildcard builder/azure/arm/*approved*)
 export DH_GOLANG_EXCLUDES := plugin/example scripts
+export HOME := $(shell mktemp -d)
 
 %:
 	dh $@ --buildsystem=golang --with=golang
