=== debian/changelog ===
packer (1.0.4+dfsg-1ubuntu0.1) bionic-security; urgency=medium

  * No-change rebuild for golang-x-text 

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 16 Jan 2023 16:21:43 +0100

packer (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.4+dfsg
  * Refresh patches with new upstream release
  * Enable bgzf compress
    + Add golang-github-biogo-hts-dev to Build-Depends
  * Bump azure-sdk, autorest version in Build-Depends
  * d/rules: fix testdata include wildcard
  * Update Standards-Version to 4.1.0 (no changes)
  * Update description from official intro
    Remove detailed builder info which is often changed, avoid
    increasing the work for translators
  * d/copyright: Add missing post-processor/checksum files copyright

 -- Shengjing Zhu <i@zhsj.me>  Wed, 13 Sep 2017 21:42:03 +0800
