## packer 1.3.4%2Bdfsg

=== debian/changelog ===
packer (1.3.4+dfsg-4) unstable; urgency=medium

  * Update patches to show error info for disabled features
  * Add README.Debian to clarify the difference between upstream version
  * Remove outdated command description in manpage
  * Add patch to skip flaky TestBuildStdin

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Mar 2019 23:57:16 +0800

packer (1.3.4+dfsg-3) unstable; urgency=medium

  * Disable slow tests on mips too

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Feb 2019 09:59:50 +0800

packer (1.3.4+dfsg-2) unstable; urgency=medium

  * Disable timeout test on mipsel

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Feb 2019 07:58:39 +0800

packer (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.4+dfsg
  * Exclude tencentcloud and hcloud builder.
    Since the dependencies are not packaged
  * Vendor old mapstructure to workaround regression in new version
  * Add patch to disable sed func in template.
    Since the dependencies are not packaged

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Feb 2019 00:16:11 +0800

packer (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.1+dfsg.
  * Update my email to zhsj@debian.org.
  * Update Standards-Version to 4.2.1. (no changes)
  * Drop pandoc from Build-Depends, install markdown doc as is.
  * Add patch to disable consul/vault/xz related plugins,
    lack of new dependencies.
  * Add patch to skip test which relies on /dev/tty.
  * Add patch to fix flaky test in TestHook_cancelWhileRun.
  * Refresh openstack patch, add back token variable.
  * Refresh Build-Depends for new release.
    + Add golang-github-google-go-cmp-dev.
    + Add golang-github-google-uuid-dev.
    + Add golang-gopkg-cheggaaa-pb.v1-dev.
    + Bump golang-github-gophercloud-gophercloud-dev to
      0.0~git20180917.45f1c769.
    + Bump golang-golang-x-oauth2-dev to 0.0~git20180821.d2e6202.
    + Bump golang-golang-x-oauth2-google-dev 0.0~git20180821.d2e6202.
    + Bump golang-google-api-dev to 0.0~git20180916.19ff876.
  * Remove no longer used Build-Depends.
  * Bump golang-github-christrenkamp-goxpath-dev and drop old patch.
  * Bump golang-github-denverdino-aliyungo-dev and drop old patch.
  * Drop azure packages from Build-Depends, since the plugin was disabled.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 19:54:44 +0800

packer (1.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.5+dfsg (Closes: #877451)
  * d/control: add goxpath and govmomi
  * d/control: remove xmlpath.v2 from Build-Depends
  * d/control: change mailinglist, VCS, Standards-Version
  * d/compat: update to 11
  * d/rules: exclude disabled plugins
  * d/patches: refresh patches
    + temporarily disable azure arm plugin
    + also disable oneandone, ncloud, oracle-oci, oracle-classic,
      profitbricks, scaleway, triton for lacking dependencies.
  * d/examples: add ansible

 -- Shengjing Zhu <i@zhsj.me>  Tue, 31 Jul 2018 14:40:49 +0800
